## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           gnome-user-share
Version:        48.1
Release:        1%{?dist}
Summary:        Gnome user file sharing

# * gnome-tour source code is GPL-2.0-or-later
# * rust crate dependencies are:
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-2.0-or-later AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://gitlab.gnome.org/GNOME/gnome-user-share
Source0:        http://download.gnome.org/sources/%{name}/48/%{name}-%{tarball_version}.tar.xz

BuildRequires:  cargo-rpm-macros
BuildRequires:  clang
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  systemd-rpm-macros

BuildRequires:  httpd
BuildRequires:  mod_dnssd
BuildRequires:  systemd-devel
BuildRequires:  pkgconfig(libselinux)

Requires:       httpd
Requires:       mod_dnssd

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in GNOME.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%meson
%meson_build
%{cargo_license_summary -a}
%{cargo_license -a} > LICENSE.dependencies

%install
%meson_install

%find_lang gnome-user-share --with-gnome

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-user-share-webdav.desktop

%post
%systemd_user_post gnome-user-share-webdav.service

%preun
%systemd_user_preun gnome-user-share-webdav.service

%postun
%systemd_user_postun_with_restart gnome-user-share-webdav.service

%files -f gnome-user-share.lang
%license COPYING
%license LICENSE.dependencies
%doc README.md NEWS
%{_libexecdir}/gnome-user-share-webdav
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/applications/gnome-user-share-webdav.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/gnome-user-share/
%{_userunitdir}/gnome-user-share-webdav.service

%changelog
## START: Generated by rpmautospec
* Wed Jul 09 2025 Milan Crha <mcrha@redhat.com> - 48.1-1
- Update to 48.1

* Thu Mar 27 2025 Fabio Valentini <decathorpe@gmail.com> - 48.0-1
- Update to 48.0

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 47.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 nmontero <nmontero@redhat.com> - 47.2-1
- Update to 47.2

* Tue Sep 17 2024 nmontero <nmontero@redhat.com> - 47.0-1
- Update to 47.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 47~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 David King <amigadave@amigadave.com> - 47~alpha-1
- Update to 47.alpha

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 16 2022 Bastien Nocera <hadess@hadess.net> - 43.0-1
- + gnome-user-share-43.0-1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 43~alpha-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Bastien Nocera <hadess@hadess.net> - 43~alpha-2
- Add missing glib2-devel BR

* Fri Jul 15 2022 Bastien Nocera <hadess@hadess.net> - 43~alpha-1
- + gnome-user-share-43~alpha-1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 06 2019 Kalev Lember <klember@redhat.com> - 3.34.0-2
- Add systemd rpm scriptlets for gnome-user-share-webdav user service

* Fri Sep 06 2019 Kalev Lember <klember@redhat.com> - 3.34.0-1
- Update to 3.34.0

* Fri Sep 06 2019 Kalev Lember <klember@redhat.com> - 3.33.1-2
- Work around incorrect .service file install path

* Mon Aug 26 2019 Kalev Lember <klember@redhat.com> - 3.33.1-1
- Update to 3.33.1
- Switch to meson build system

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.32.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 13 2019 Bastien Nocera <hadess@hadess.net> - 3.32.0.1-2
- Remove mention of ObexFTP in the description

* Mon Mar 11 2019 Kalev Lember <klember@redhat.com> - 3.32.0.1-1
- Update to 3.32.0.1

* Mon Mar 11 2019 Kalev Lember <klember@redhat.com> - 3.32.0-4
- Fix patch application

* Mon Mar 11 2019 Phil Wyett <philwyett@kathenas.org> - 3.32.0-3
- Update patch to that I have submitted upstream

* Sun Mar 10 2019 Phil Wyett <philwyett@kathenas.org> - 3.32.0-2
- Workaround upstream bug #4 and hide desktop file correctly

* Fri Mar 08 2019 Kalev Lember <klember@redhat.com> - 3.32.0-1
- Update to 3.32.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Sep 20 2018 Bastien Nocera <hadess@hadess.net> - 3.28.0-4
- + gnome-user-share-3.28.0-3 Remove Bluetooth dependencies, gnome-user-
  share only shares via WebDAV, obex sharing is handled through the
  Bluetooth panel in GNOME

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 3.28.0-2
- add BuildRequires: gcc

* Tue Apr 10 2018 Kalev Lember <klember@redhat.com> - 3.28.0-1
- Update to 3.28.0

* Mon Mar 05 2018 Kalev Lember <klember@redhat.com> - 3.27.90-1
- Update to 3.27.90

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.18.3-6
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 22 2016 Kalev Lember <klember@redhat.com> - 3.18.3-2
- Drop an unneeded comment

* Thu Sep 22 2016 Kalev Lember <klember@redhat.com> - 3.18.3-1
- Update to 3.18.3

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 3.18.2-3
- Use standard tag order in spec file

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 3.18.2-2
- Don't set group tags

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 3.18.2-1
- Update to 3.18.2

* Tue Mar 22 2016 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 3.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Peter Robinson <pbrobinson@gmail.com> - 3.18.0-2
- Update to require bluez-obexd

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.90-3
- Use license macro for COPYING

* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.90-2
- Use make_install macro

* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 3.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 19 2014 Richard Hughes <richard@hughsie.com> - 3.14.2-1
- Update to 3.14.2

* Sun Nov 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
- Update to 3.14.1

* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-2
- Redirect glib-compile-schemas scriptlet output to /dev/null

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Thu Sep 11 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-2
- Drop obsolete unique3-devel build dep

* Thu Sep 11 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 Richard Hughes <richard@hughsie.com> - 3.13.2-1
- Update to 3.13.2

* Tue Jun 24 2014 Richard Hughes <richard@hughsie.com> - 3.13.1-2
- Fix filelists

* Tue Jun 24 2014 Richard Hughes <richard@hughsie.com> - 3.13.1-1
- Update to 3.13.1

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 3.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Richard Hughes <richard@hughsie.com> - 3.10.2-1
- Update to 3.10.2

* Sat Dec 28 2013 Adam Williamson <awilliam@redhat.com> - 3.10.1-2
- add missing BR, rebuild for new gnome-bluetooth

* Thu Nov 14 2013 Richard Hughes <richard@hughsie.com> - 3.10.1-1
- Update to 3.10.1

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
- Update to 3.10.0

* Tue Sep 10 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-1
- Update to 3.9.91

* Sun Aug 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.3-3
- Rebuilt for gnome-bluetooth soname bump

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 3.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Bastien Nocera <hadess@hadess.net> - 3.8.3-1
- Update to 3.8.3

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-1
- 3.8.0

* Fri Mar 08 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.91-1
- 3.7.91

* Wed Feb 20 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.90-2
- Minor spec file cleanup

* Wed Feb 20 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.90-1
- Update to 3.7.90

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 3.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Richard Hughes <richard@hughsie.com> - 3.7.4-2
- Fix filelists

* Wed Jan 16 2013 Richard Hughes <richard@hughsie.com> - 3.7.4-1
- Update to 3.7.4

* Wed Nov 28 2012 Matthias Clasen <mclasen@redhat.com> - 3.0.4-2
- compile schemas after installing the package

* Wed Sep 26 2012 Kalev Lember <kalevlember@gmail.com> - 3.0.4-1
- Update to 3.0.4

* Fri Aug 24 2012 Bastien Nocera <hadess@hadess.net> - 3.0.3-1
- Update to 3.0.3

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 3.0.2-1
- 3.0.2

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 27 2011 Peter Robinson <pbrobinson@gmail.com> - 3.0.1-2
- rebuild for new gnome-bluetooth

* Mon Oct 17 2011 Bastien Nocera <hadess@hadess.net> - 3.0.1-1
- Update to 3.0.1

* Thu Apr 21 2011 Tomas Bzatek <tbzatek@redhat.com> - 3.0.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
